/****************************************************************************
**
**  This file is part of GAP, a system for computational discrete algebra.
**
**  Copyright of GAP belongs to its developers, whose names are too numerous
**  to list here. Please refer to the COPYRIGHT file for details.
**
**  SPDX-License-Identifier: GPL-2.0-or-later
**
**  This header includes most of the other GAP headers, and is meant to be
**  included by GAP kernel extensions.
*/

#ifndef GAP_ALL_H
#define GAP_ALL_H

#ifdef __cplusplus
extern "C" {
#endif

#include <gap/ariths.h>
#include <gap/blister.h>
#include <gap/bool.h>
#include <gap/calls.h>
#include <gap/code.h>
#include <gap/collectors.h>
#include <gap/common.h>
#include <gap/compiler.h>
#include <gap/costab.h>
#include <gap/cyclotom.h>
#include <gap/dt.h>
#include <gap/dteval.h>
#include <gap/error.h>
#include <gap/exprs.h>
#include <gap/finfield.h>
#include <gap/funcs.h>
#include <gap/gap.h>
#include <gap/gapstate.h>
#include <gap/gaptime.h>
#include <gap/gasman.h>
#include <gap/gvars.h>
#include <gap/info.h>
#include <gap/integer.h>
#include <gap/intfuncs.h>
#include <gap/intrprtr.h>
#include <gap/io.h>
#include <gap/iostream.h>
#include <gap/listfunc.h>
#include <gap/listoper.h>
#include <gap/lists.h>
#include <gap/macfloat.h>
#include <gap/modules.h>
#include <gap/objcftl.h>
#include <gap/objects.h>
#include <gap/objfgelm.h>
#include <gap/objpcgel.h>
#include <gap/opers.h>
#include <gap/permutat.h>
#include <gap/plist.h>
#include <gap/pperm.h>
#include <gap/precord.h>
#include <gap/profile.h>
#include <gap/range.h>
#include <gap/rational.h>
#include <gap/read.h>
#include <gap/records.h>
#include <gap/saveload.h>
#include <gap/scanner.h>
#include <gap/sctable.h>
#include <gap/set.h>
#include <gap/stats.h>
#include <gap/streams.h>
#include <gap/stringobj.h>
#include <gap/sysfiles.h>
#include <gap/tietze.h>
#include <gap/trans.h>
#include <gap/trycatch.h>
#include <gap/vars.h>
#include <gap/vector.h>
#include <gap/version.h>
#include <gap/weakptr.h>

#ifdef HPCGAP
#include <gap/hpc/aobjects.h>
#include <gap/hpc/guards.h>
#include <gap/hpc/serialize.h>
#include <gap/hpc/threadapi.h>
#include <gap/hpc/traverse.h>
#endif

#ifdef __cplusplus
} // extern "C"
#endif

#endif // GAP_ALL_H
